﻿@model ADS.Core.Model.Controladora

@{
    ViewBag.Title = "Cadastrar";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Cadastrar Controladora</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <div class="row">
        <div class="form-group col-md-6">
            @Html.LabelFor(c => c.Nome)
            @Html.TextBoxFor(model => model.Nome, new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Nome, "", new { @class = "text-danger" })
        </div>
    </div>


    <div class="row">
        <div class="form-group col-md-4">
            @Html.LabelFor(model => model.Ip)
            @Html.TextBoxFor(model => model.Ip, new { @class = "form-control IpAddress" })
            @Html.ValidationMessageFor(model => model.Ip, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="row">
        <div class="form-group col-md-4">
            @Html.LabelFor(model => model.Mascara)
            @Html.TextBoxFor(model => model.Mascara, new { @class = "form-control IpAddress" })
            @Html.ValidationMessageFor(model => model.Mascara, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="row">
        <div class="form-group col-md-4">
            @Html.LabelFor(model => model.Gateway)
            @Html.TextBoxFor(model => model.Gateway, new { @class = "form-control IpAddress" })
            @Html.ValidationMessageFor(model => model.Gateway, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="row">
        <div class="form-group col-md-4">
            @Html.LabelFor(model => model.IpDestino)
            @Html.TextBoxFor(model => model.IpDestino, new { @class = "form-control IpAddress" })
            @Html.ValidationMessageFor(model => model.IpDestino, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="row">
        <div class="form-group col-md-4">
            @Html.LabelFor(model => model.PortaDestino)
            @Html.TextBoxFor(model => model.PortaDestino, new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.PortaDestino, "", new { @class = "text-danger" })
        </div>
    </div>
    <div class="row">
        <div class="form-group col-md-4">
            @Html.LabelFor(model => model.PortaOrigem)
            @Html.TextBoxFor(model => model.PortaOrigem, new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.PortaOrigem, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="row">
        <div class="form-group col-md-4">
            @Html.LabelFor(model => model.MacAddress)
            @Html.TextBoxFor(model => model.MacAddress, new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.MacAddress, "", new { @class = "text-danger" })
        </div>
    </div>


    <div class="row">
        <div class="form-group col-md-4">
            @Html.CheckBoxFor(model => model.Ativo) @Html.LabelFor(model => model.Ativo)               
        </div>
    </div>

    <div class="form-group">
       <button type="submit" class="btn btn-default"><i class="fa fa-save"> Salvar</i></button>
    </div>
}

@section Mascaras {
    <script src="~/Scripts/Mascaras.js"></script>
}


